<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Fri Oct 27 02:24:57 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>ConnectorReification (org.eclipse.papyrus.designer.components.modellibs.core 0.7.6 API)</title>
<meta name="date" content="2017-10-27">
<link rel="stylesheet" type="text/css" href="../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ConnectorReification (org.eclipse.papyrus.designer.components.modellibs.core 0.7.6 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":9,"i3":9,"i4":10,"i5":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ConnectorReification.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/components/modellibs/core/transformations/ConnectorAllocation.html" title="class in org.eclipse.papyrus.designer.components.modellibs.core.transformations"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/components/modellibs/core/transformations/Constants.html" title="class in org.eclipse.papyrus.designer.components.modellibs.core.transformations"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/eclipse/papyrus/designer/components/modellibs/core/transformations/ConnectorReification.html" target="_top">Frames</a></li>
<li><a href="ConnectorReification.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.designer.components.modellibs.core.transformations</div>
<h2 title="Class ConnectorReification" class="title">Class ConnectorReification</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.eclipse.papyrus.designer.components.modellibs.core.transformations.ConnectorReification</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.transformation/org.eclipse.papyrus.designer.transformation.core/apidocs/org/eclipse/papyrus/designer/transformation/core/m2minterfaces/IM2MTrafoCDP.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.transformation.core.m2minterfaces">IM2MTrafoCDP</a>, <a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.transformation/org.eclipse.papyrus.designer.transformation.extensions/apidocs/org/eclipse/papyrus/designer/transformation/extensions/IM2MTrafo.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.transformation.extensions">IM2MTrafo</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">ConnectorReification</span>
extends <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>
implements <a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.transformation/org.eclipse.papyrus.designer.transformation.core/apidocs/org/eclipse/papyrus/designer/transformation/core/m2minterfaces/IM2MTrafoCDP.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.transformation.core.m2minterfaces">IM2MTrafoCDP</a></pre>
<div class="block">This class enables the reification of connectors, i.e. the replacement of
 a UML connector with an interaction component. Reification is primarily
 done on the level of a composite class.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/components/modellibs/core/transformations/ConnectorReification.html#ConnectorReification--">ConnectorReification</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/components/modellibs/core/transformations/ConnectorReification.html#applyTrafo-org.eclipse.papyrus.designer.transformation.profile.Transformation.M2MTrafo-org.eclipse.uml2.uml.Package-">applyTrafo</a></span>(<a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.transformation/org.eclipse.papyrus.designer.transformation.profile/apidocs/org/eclipse/papyrus/designer/transformation/profile/Transformation/M2MTrafo.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.transformation.profile.Transformation">M2MTrafo</a>&nbsp;trafo,
          org.eclipse.uml2.uml.Package&nbsp;deploymentPlan)</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/components/modellibs/core/transformations/ConnectorReification.html#connectContainerPorts-org.eclipse.uml2.uml.Class-org.eclipse.uml2.uml.Property-">connectContainerPorts</a></span>(org.eclipse.uml2.uml.Class&nbsp;composite,
                     org.eclipse.uml2.uml.Property&nbsp;reifiedConnector)</code>
<div class="block">Components can contain additional ports that are inherited via the
 container extension.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static org.eclipse.uml2.uml.Port</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/components/modellibs/core/transformations/ConnectorReification.html#getConnectorPort-org.eclipse.uml2.uml.EncapsulatedClassifier-org.eclipse.uml2.uml.Port-boolean-">getConnectorPort</a></span>(org.eclipse.uml2.uml.EncapsulatedClassifier&nbsp;connectorType,
                org.eclipse.uml2.uml.Port&nbsp;otherPort,
                boolean&nbsp;isAssembly)</code>
<div class="block">Find a port that would match a connection</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>static org.eclipse.uml2.uml.ConnectorEnd</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/components/modellibs/core/transformations/ConnectorReification.html#oppositeConnEnd-org.eclipse.uml2.uml.Connector-org.eclipse.uml2.uml.ConnectorEnd-">oppositeConnEnd</a></span>(org.eclipse.uml2.uml.Connector&nbsp;connector,
               org.eclipse.uml2.uml.ConnectorEnd&nbsp;myEnd)</code>
<div class="block">Simple helper function that finds the opposite connector end when one is given.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>org.eclipse.uml2.uml.Property</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/components/modellibs/core/transformations/ConnectorReification.html#reifyConnector-org.eclipse.uml2.uml.Class-org.eclipse.uml2.uml.Connector-org.eclipse.uml2.uml.InstanceSpecification-">reifyConnector</a></span>(org.eclipse.uml2.uml.Class&nbsp;composite,
              org.eclipse.uml2.uml.Connector&nbsp;connector,
              org.eclipse.uml2.uml.InstanceSpecification&nbsp;compositeIS)</code>
<div class="block">Reify a connector</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>org.eclipse.uml2.uml.Property</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/components/modellibs/core/transformations/ConnectorReification.html#reifyConnector-org.eclipse.uml2.uml.Class-org.eclipse.uml2.uml.Property-org.eclipse.uml2.uml.InstanceSpecification-">reifyConnector</a></span>(org.eclipse.uml2.uml.Class&nbsp;composite,
              org.eclipse.uml2.uml.Property&nbsp;connectorPart,
              org.eclipse.uml2.uml.InstanceSpecification&nbsp;compositeIS)</code>
<div class="block">Reify a connector already represented in form of a part (useful for n-ary connectors)</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="ConnectorReification--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>ConnectorReification</h4>
<pre>public&nbsp;ConnectorReification()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getConnectorPort-org.eclipse.uml2.uml.EncapsulatedClassifier-org.eclipse.uml2.uml.Port-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getConnectorPort</h4>
<pre>public static&nbsp;org.eclipse.uml2.uml.Port&nbsp;getConnectorPort(org.eclipse.uml2.uml.EncapsulatedClassifier&nbsp;connectorType,
                                                         org.eclipse.uml2.uml.Port&nbsp;otherPort,
                                                         boolean&nbsp;isAssembly)</pre>
<div class="block">Find a port that would match a connection</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>connectorType</code> - a connector type, i.e. a component with ports</dd>
<dd><code>the</code> - port on the other side of the connection</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the first port (of all ports owned or inherited by the type) that
         is compatible with the passed otherPort.</dd>
</dl>
</li>
</ul>
<a name="oppositeConnEnd-org.eclipse.uml2.uml.Connector-org.eclipse.uml2.uml.ConnectorEnd-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>oppositeConnEnd</h4>
<pre>public static&nbsp;org.eclipse.uml2.uml.ConnectorEnd&nbsp;oppositeConnEnd(org.eclipse.uml2.uml.Connector&nbsp;connector,
                                                                org.eclipse.uml2.uml.ConnectorEnd&nbsp;myEnd)</pre>
<div class="block">Simple helper function that finds the opposite connector end when one is given.
 If returns the first connector end that is not equal to the passed one, but results
 will not be useful in general for n-ary connectors (n!=2)</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>connector</code> - a connector</dd>
<dd><code>myEnd</code> - one end of a connector.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the connector end that is associated with the "other" end of a
         connection, i.e. the end that differs from the passed connector end</dd>
</dl>
</li>
</ul>
<a name="reifyConnector-org.eclipse.uml2.uml.Class-org.eclipse.uml2.uml.Property-org.eclipse.uml2.uml.InstanceSpecification-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>reifyConnector</h4>
<pre>public&nbsp;org.eclipse.uml2.uml.Property&nbsp;reifyConnector(org.eclipse.uml2.uml.Class&nbsp;composite,
                                                    org.eclipse.uml2.uml.Property&nbsp;connectorPart,
                                                    org.eclipse.uml2.uml.InstanceSpecification&nbsp;compositeIS)
                                             throws <a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.transformation/org.eclipse.papyrus.designer.transformation.base/apidocs/org/eclipse/papyrus/designer/transformation/base/utils/TransformationException.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.transformation.base.utils">TransformationException</a></pre>
<div class="block">Reify a connector already represented in form of a part (useful for n-ary connectors)</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>composite</code> - containing composite in target target model</dd>
<dd><code>connectorPart</code> - Part representing the connector</dd>
<dd><code>compositeIS</code> - target instance specification of the composite passed as 2nd parameter
            (required for obtaining node allocation and choosing the right implementation.
            Main use: decide whether a distributed implementation of an interaction component needs to be used)</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The created part within tmComponent that represents the reified
         connector</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.transformation/org.eclipse.papyrus.designer.transformation.base/apidocs/org/eclipse/papyrus/designer/transformation/base/utils/TransformationException.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.transformation.base.utils">TransformationException</a></code></dd>
</dl>
</li>
</ul>
<a name="reifyConnector-org.eclipse.uml2.uml.Class-org.eclipse.uml2.uml.Connector-org.eclipse.uml2.uml.InstanceSpecification-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>reifyConnector</h4>
<pre>public&nbsp;org.eclipse.uml2.uml.Property&nbsp;reifyConnector(org.eclipse.uml2.uml.Class&nbsp;composite,
                                                    org.eclipse.uml2.uml.Connector&nbsp;connector,
                                                    org.eclipse.uml2.uml.InstanceSpecification&nbsp;compositeIS)
                                             throws <a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.transformation/org.eclipse.papyrus.designer.transformation.base/apidocs/org/eclipse/papyrus/designer/transformation/base/utils/TransformationException.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.transformation.base.utils">TransformationException</a></pre>
<div class="block">Reify a connector</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>composite</code> - containing composite</dd>
<dd><code>connector</code> - connector within the passed composite. If connector reification is successful, the passed connector will be destroyed
            (since replaced by a new connector-part-connector combination)</dd>
<dd><code>compositeIS</code> - instance specification of the composite passed as 2nd parameter
            (required for obtaining node allocation and choosing the right implementation.
            Main use: decide whether a distributed implementation of an interaction component needs to be used)</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the created part within the composite or null, if no reification could be executed.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.transformation/org.eclipse.papyrus.designer.transformation.base/apidocs/org/eclipse/papyrus/designer/transformation/base/utils/TransformationException.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.transformation.base.utils">TransformationException</a></code></dd>
</dl>
</li>
</ul>
<a name="connectContainerPorts-org.eclipse.uml2.uml.Class-org.eclipse.uml2.uml.Property-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>connectContainerPorts</h4>
<pre>public&nbsp;void&nbsp;connectContainerPorts(org.eclipse.uml2.uml.Class&nbsp;composite,
                                  org.eclipse.uml2.uml.Property&nbsp;reifiedConnector)</pre>
<div class="block">Components can contain additional ports that are inherited via the
 container extension. These ports should typically be connected with
 additional ports of the (reified) connector. This connection is based on
 equal port types and is done automatically by this function, i.e. it
 cannot be done by the developer.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>composite</code> - the composite in which a connector has been reified.</dd>
<dd><code>reifiedConnector</code> - the part associated with the reifiedConnector</dd>
</dl>
</li>
</ul>
<a name="applyTrafo-org.eclipse.papyrus.designer.transformation.profile.Transformation.M2MTrafo-org.eclipse.uml2.uml.Package-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>applyTrafo</h4>
<pre>public&nbsp;void&nbsp;applyTrafo(<a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.transformation/org.eclipse.papyrus.designer.transformation.profile/apidocs/org/eclipse/papyrus/designer/transformation/profile/Transformation/M2MTrafo.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.transformation.profile.Transformation">M2MTrafo</a>&nbsp;trafo,
                       org.eclipse.uml2.uml.Package&nbsp;deploymentPlan)
                throws <a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.transformation/org.eclipse.papyrus.designer.transformation.base/apidocs/org/eclipse/papyrus/designer/transformation/base/utils/TransformationException.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.transformation.base.utils">TransformationException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.transformation/org.eclipse.papyrus.designer.transformation.core/apidocs/org/eclipse/papyrus/designer/transformation/core/m2minterfaces/IM2MTrafoCDP.html?is-external=true#applyTrafo-org.eclipse.papyrus.designer.transformation.profile.Transformation.M2MTrafo-org.eclipse.uml2.uml.Package-" title="class or interface in org.eclipse.papyrus.designer.transformation.core.m2minterfaces">applyTrafo</a></code>&nbsp;in interface&nbsp;<code><a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.transformation/org.eclipse.papyrus.designer.transformation.core/apidocs/org/eclipse/papyrus/designer/transformation/core/m2minterfaces/IM2MTrafoCDP.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.transformation.core.m2minterfaces">IM2MTrafoCDP</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.transformation/org.eclipse.papyrus.designer.transformation.base/apidocs/org/eclipse/papyrus/designer/transformation/base/utils/TransformationException.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.transformation.base.utils">TransformationException</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ConnectorReification.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/components/modellibs/core/transformations/ConnectorAllocation.html" title="class in org.eclipse.papyrus.designer.components.modellibs.core.transformations"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/components/modellibs/core/transformations/Constants.html" title="class in org.eclipse.papyrus.designer.components.modellibs.core.transformations"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/eclipse/papyrus/designer/components/modellibs/core/transformations/ConnectorReification.html" target="_top">Frames</a></li>
<li><a href="ConnectorReification.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016&#x2013;2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
